Name:           libUnihan
%global         libUnihan_ver_major 0
%global         libUnihan_ver_minor 5
Version:        %{libUnihan_ver_major}.%{libUnihan_ver_minor}.3
Release:        23%{?dist}
License:        LGPLv2+
Summary:        C library for Unihan character database in fifth normal form 
Summary(zh_CN): 用于符合第五正规化之统汉字(Unihan)数据库的 C 库文件
Summary(zh_TW): 用於符合第五正規化之統漢字(Unihan)資料庫的 C 函式庫

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel  sqlite-devel  cmake >= 2.4

URL:            http://sourceforge.net/projects/libunihan
Source0:        http://downloads.sourceforge.net/libunihan/%{name}-%{version}-Source.tar.gz

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%description
libUnihan provides a C library for Unihan character database in fifth
normal form (5NF).

%package devel
Summary:    Development files of libUnihan
License:        LGPLv2+
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel  sqlite-devel

%description devel
Development files of libUnihan such as header files.

%package doc
Summary:    The libUnihan C API documents in Doxygen style
License:        LGPLv2+
BuildRequires:  doxygen
Requires:       %{name} = %{version}-%{release}

%description doc
The libUnihan C API documents in Doxygen style.

%prep
%autosetup -n %{name}-%{version}-Source
# HACK: Replace hard-coded docdir in CMakeList.txt
sed -i \
  -e "s|\${docdir}/\${DB_PRJ_NAME}|%{_pkgdocdir}|" \
  -e "s|\${docdir}/\${PROJECT_NAME}-\${PRJ_VER}|%{_pkgdocdir}|" \
  CMakeLists.txt

%build
%cmake .
cmake .
make VERBOSE=1 C_DEFINES="$RPM_OPT_FLAGS" %{?_smp_mflags}
make doxygen


%install
%make_install

#%check
#make test

%ldconfig_scriptlets

%files
%doc AUTHORS NEWS README
%license COPYING COPYING.LESSER
%{_bindir}/unihan_query
%{_libdir}/%{name}.so.%{libUnihan_ver_major}
%{_libdir}/%{name}.so.%{libUnihan_ver_major}.%{libUnihan_ver_minor}

%files devel
%license COPYING COPYING.LESSER
%doc ChangeLog
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_bindir}/unihan_converter

%files doc
%doc %{_pkgdocdir}/*

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Nov 08 2016 Parag Nemade <pnemade AT fedoraproject DOT org> - 0.5.3-16
- Update spec to follow current packaging guidelines

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 23 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.5.3-11
- Fix FTBFS RHBZ#992047.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 21 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.5.3-3
- Add following make targets: rpm_lint, koji_submit, koji_build,  pkg_remove_old.

* Mon Oct 20 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.5.3-0
- New Features:
  + collection.h, file_function.h and verboseMsg.h is in API.
- Fixed:
  + Missing documents in 0.5.2.
- Changed:
  + collection.h: 
    - G_ARRAY_COPY is renamed as G_ARRAY_CONCAT to reflect its real functionality.
    - hashSet_new_full() now only takes 4 parameters because value
      value_destroy_func is not required, as in hashSet, key == value.
  + file_functions.h:
    - search_file_given_paths() is replaced by filename_search_paths()
    - replace file_determine() with file_choose()


* Mon Oct 06 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.5.2-0
- New Features:
  + New pseudo field 'ZhuYin'.
  + allocate.h is in API.
  + New unihan_query options: -O -P -T -Z -z
  + Scalar String (U+XXXXX) is now be able to use in the input of Field query.
  + New functions: unihanField_is_case_no_change() and unihanField_is_lowercase()
- Fixed:
  + Behavior of unihan_query -U is now corrected.
  + Descriptions about pseudo field are corrected.
  + Handle NULL of str in stringList_insert(StringList *sList, const char *str).
- Changed:
  + In document, "simply query" is replaced by "field query".
  + unihanField_is_scalar_value() is renamed as unihanField_is_ucs4().
  + pinyin_strip_tone() and zhuYin_strip_tone()  now return 0 if tone of pinyin/zhuyin is not specified.
  + Doxyfile is renamed as Doxygen.in, so no need to manually modified the  version number.

* Tue Sep 23 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.5.1-0
- New Features:
  + PinYin accent format conversion functions (C and SQL scalar).
  + ZhuYin tone mark format conversion functions (C and SQL scalar).
  + PinYin <-->  ZhuYin conversion functions (C and SQL scalar).
  + Display as ZhuYin.
- Fixed:
  + Correct counting in FreqRank field of kMandarin table.
  + The query functions such as unihan_find_all_matched() returns SQL_Results type, to avoid the memory leaking problems.
- Changed:
  + unihanDb_open() now supports the R/W control.
  + Changed CMakefile.txt to reflects the version scheme change of UnihanDb
  + StringList type for storing const string arrays.
  + Add test suite.
  + Where-clause-generator is now able to escape the quote character(').
  + unihan_field_validation is moved to test/, therefore it will not be in binary package.
  + New make targets: rpm, srpm, rpm_db and srpm_db to generate rpm and srpm for libUnihan and UnihanDb.
- Removed:
  + unihanSql_get_result_table(). As it uses sqlite3_get_table() which might cause memory leak.

* Mon Aug 11 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.4.1-1
- [Bug 453520] C#10 addressed.

* Fri Aug 08 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.4.1-0
- Shows support fields and tables for unihan_query.
- Header files have moved to {include}/libUnihan.
- Completed the description of UnihanTable enumeration.
- Completed the description of str_functions.h
- In str_functions.h: unsignedStr_to_signedStr and signedStr_to_unsignedStr
clones the inputs now, while _buffer postfix for the circumstances that the buffer is given.
Addressing C#6 [Bug 453520] Review Request: libUnihan 
- rpmlint undefined-non-weak-symbol problems solved.
- Moved the include statement of private header files to Unihan_SQL_gen.c files.
- Move the doc/{name} files  to doc/{name}-{version}.
- Uhihan_enum.h and str_functions.h are now in API.

* Mon Aug 04 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.4.0-0
- unihan_test now became unihan_field_vaildation
- Split the enumeration definition of Unihan.h to Unihan_enum.h
- Add unihanDb_get_tableNames() and  unihanTable_get_db_fields()
- Parameter arraySize in unihanField_array_index() is discarded.

* Fri Jul 04 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.3.1-0
- Add kMandarin frequency rank support.

* Tue Jul 01 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.3.0-0
- Initial public release.

